<?xml version="1.0" encoding="UTF-8"?>

<OBJECTS    name="">

    <NODE   name="StandardCMSTemplates::PERFORMA_ADMIN_PORTAL">
        
        <MAP    value="ADMIN_PORTAL_HOME" description="Admin Portal Home"   TemplatePage="dynamic_content_form_client.jsp">
            
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/page_admin_home.jsp"/>
                
            </NODE>
            
        </MAP>
        
        <!-- AAdded only for legacy data and should never be used   -->
        <MAP    value="CREATE_JOB"  description="Create Job"    TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
            </NODE>
        </MAP>
        
        <MAP    value="JOBS"    description="Jobs"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page"                 preIncludeJSP="extensions/adminportal/list_jobs.jsp"/>
                <RenderMode name="EditJob"              preIncludeJSP="extensions/adminportal/edit_job.jsp"/>
                <RenderMode name="ViewApplicants"       preIncludeJSP="extensions/adminportal/view_applicants.jsp"/>
                <RenderMode name="ApplicantsShortlist"  preIncludeJSP="extensions/adminportal/view_applicants_shortlist.jsp"/>
                <RenderMode name="ApplicantsGrid"       preIncludeJSP="extensions/adminportal/view_applicants_shortlist_grid.jsp"/>
                <RenderMode name="UnsuitableApps"       preIncludeJSP="extensions/adminportal/view_applicants_unsuitable.jsp"/>
                <RenderMode name="ViewApplication"      preIncludeJSP="extensions/adminportal/view_application.jsp"/>
                <RenderMode name="CreateJob"            preIncludeJSP="extensions/adminportal/job_detail.jsp"/>
                <RenderMode name="AssessmentCriteria"   preIncludeJSP="extensions/adminportal/assessment_criteria.jsp"/>
                <RenderMode name="WorkplaceCulture"     preIncludeJSP="extensions/adminportal/workplace_culture.jsp"/>
                <RenderMode name="JobMatchAssessment"   preIncludeJSP="extensions/adminportal/job_match_assessment.jsp"/>
                <RenderMode name="JobReview"            preIncludeJSP="extensions/adminportal/job_review_submit.jsp"/>
                <RenderMode name="CreatedJob"           preIncludeJSP="extensions/adminportal/created_job.jsp"/>
            </NODE>
        </MAP>
        
        <!-- AAdded only for legacy data and should never be used   -->
        <MAP    value="CANDIDATES"  description="Candidates"    TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
            </NODE>
        </MAP>
        
        <MAP    value="CLIENTS"    description="Clients"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/list_clients.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="MANAGE_USERS"    description="Manage Users"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/manage_users.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="MY_COMPANY"  description="My Company"  TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/my_company.jsp"/>
            </NODE>
        </MAP>
        
        <MAP    value="BILLING" description="Billing"   TemplatePage="dynamic_content_form_client.jsp">
            <NODE   name="Config"   factory="Participant"   class="oneit.business.content.ArticleConfiguration">
                <INHERITS   nodename="StandardJSP"/>
                
                <RenderMode name="Page" preIncludeJSP="extensions/adminportal/billing.jsp"/>
            </NODE>
        </MAP>
        
    </NODE>
    
    <NODE name="StandardJSP::AdminPortal">
        <Attribute  name="Menu Icon CSS"            factory="MetaComponent" component="StringAttrib"    mandatory="false"/>
        <Attribute  name="Add Brackline Separator"  factory="MetaComponent" component="BooleanAttrib"   mandatory="false"/>
        <Attribute  name="Additional CSS Class"     factory="MetaComponent" component="StringAttrib"    mandatory="false"/>
    </NODE>
    
    <NODE name="WEB_BATCH::PERFORMA_ADMIN_PORTAL_BATCH">
        
        <TASK factory="Participant" class="oneit.appservices.batch.DefaultTask" lockName="performa">

            <RUN class="performa.batch.CloseJobBatch"   factory="Participant"/>
            
            <WHEN factory="MetaComponent"   component="BatchSchedule"   selector="performa.runbatch">
                <NODE name="schedule"       class="oneit.appservices.batch.DailySchedule">
                    <NODE name="hourOfDay"      factory="Integer"   value="0"/>
                    <NODE name="minuteOfHour"   factory="Integer"   value="5"/>
                </NODE>
            </WHEN>
            
        </TASK>
        
    </NODE>
    
    
    <NODE name="CONFIG.Formatting::AdminPortal">  
        
        <PARAM name="PerformaDateFormatter" factory="Participant"   class="oneit.utils.text.DateFormatterFactory"
               format="MMM dd, yyyy" language="en" country="au"/>
            
    </NODE>
    
</OBJECTS>